Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class ProcTime

    java.lang.Object
      org.hyperic.sigar.ProcTime

All Implemented Interfaces:
  java.io.Serializable

    public class ProcTime

extends java.lang.Object
implements java.io.Serializable

ProcTime sigar class.

See Also:
  Serialized Form

Constructor Summary
`ProcTime()`

Method Summary
`void` | `gather(Sigar sigar, long pid)`
`long` | `getStartTime()` Get the Time process was started in seconds.
`long` | `getSys()` Get the Process cpu kernel time.
`long` | `getTotal()` Get the Process cpu time (sum of User and Sys).
`long` | `getUser()` Get the Process cpu user time.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcTime

    public ProcTime()

Method Detail

### gather

    public void gather(Sigar sigar,
                       long pid)
                throws SigarException

  Throws:
    `SigarException`

### getStartTime

    public long getStartTime()

  Get the Time process was started in seconds.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Time process was started in seconds

### getUser

    public long getUser()

  Get the Process cpu user time.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Process cpu user time

### getSys

    public long getSys()

  Get the Process cpu kernel time.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Process cpu kernel time

### getTotal

    public long getTotal()

  Get the Process cpu time (sum of User and Sys).

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Process cpu time (sum of User and Sys)

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.